Ошибка при обновлении с 4.0.13 до 5.01

Обсуждение вопросов и решений

Модератор: ykolesnikov

Ответить
ykolesnikov
OTRS Гуру
Сообщения: 3115
Зарегистрирован: 24 дек 2010, 09:27
Откуда: Череповец
Благодарил (а): 4 раза
Поблагодарили: 4 раза
Контактная информация:

Ошибка при обновлении с 4.0.13 до 5.01

Сообщение ykolesnikov » 21 окт 2015, 15:40

После обновления получили:

Код: Выделить всё

Oct 21 15:01:30.871684 2015] [:error] [pid 5147] Can't call method "FatalError" on an undefined value at /opt/otrs//Kernel/Modules/AgentMasterSlavePrepareTicket.pm line 31.\n
Зайти не дает и переставить дополнительные модули через Управление пакетами, соответственно тоже.

Нашел на английском форуме:
http://forums.otterhub.org/viewtopic.php?f=53&t=30403

Check out as otrs user the following commands:

Код: Выделить всё

bin/otrs.Console.pl Admin::Package::Install
bin/otrs.Console.pl Admin::Package::RepositoryList
bin/otrs.Console.pl Admin::Package::Upgrade
Отдал админу, теперь щар на его стороне. ;)
С уважением Юрий Колесников
OTRS 5.0.22, ITSM 5.0.22
OpenSuse 13.2, MariaDB 10.0.22
OTRS 5.0.22, ITSM 5.0.22 тестовая

alexus
OTRS Гуру
Сообщения: 4654
Зарегистрирован: 20 сен 2010, 18:17
Откуда: Москва
Благодарил (а): 23 раза
Поблагодарили: 26 раз

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение alexus » 22 окт 2015, 15:49

Такое ощущение, что пакет MasterSlave не обновился
С уважением,
Алексей Юсов

Prod: OTRS ITSM 5.0.14 on CentOS 7 x64 Linux with MySQL 5.7

Radiant System OTRS Intergrator RU
Radiant System OTRS Intergrator EN
Хотите внедрить OTRS? Спросите меня как!
Следите за нашими новостями на Facebook

ykolesnikov
OTRS Гуру
Сообщения: 3115
Зарегистрирован: 24 дек 2010, 09:27
Откуда: Череповец
Благодарил (а): 4 раза
Поблагодарили: 4 раза
Контактная информация:

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение ykolesnikov » 22 окт 2015, 16:13

Сейчас буржуины это обсуждают. У меня новостей пока нет, админ занят.
Сегодня в почтовых рассылках по этой теме есть разные версии, в том числе и что это не OTRS, а Appache.
Кстати, если пытаться стартовать клиентский интерфейс, подобная ошибка выдается, но на FAQSearch, а не MasterSlave. :?
С уважением Юрий Колесников
OTRS 5.0.22, ITSM 5.0.22
OpenSuse 13.2, MariaDB 10.0.22
OTRS 5.0.22, ITSM 5.0.22 тестовая

alexus
OTRS Гуру
Сообщения: 4654
Зарегистрирован: 20 сен 2010, 18:17
Откуда: Москва
Благодарил (а): 23 раза
Поблагодарили: 26 раз

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение alexus » 22 окт 2015, 16:35

Так буржуины ведь решили обновлением пакета, как я и предполагал
С уважением,
Алексей Юсов

Prod: OTRS ITSM 5.0.14 on CentOS 7 x64 Linux with MySQL 5.7

Radiant System OTRS Intergrator RU
Radiant System OTRS Intergrator EN
Хотите внедрить OTRS? Спросите меня как!
Следите за нашими новостями на Facebook

ykolesnikov
OTRS Гуру
Сообщения: 3115
Зарегистрирован: 24 дек 2010, 09:27
Откуда: Череповец
Благодарил (а): 4 раза
Поблагодарили: 4 раза
Контактная информация:

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение ykolesnikov » 22 окт 2015, 16:51

Синтаксис и формат запуска скриптов изменился, приходится всё угадывать по контексту. Может где написано? И где они теперь лежат?
С уважением Юрий Колесников
OTRS 5.0.22, ITSM 5.0.22
OpenSuse 13.2, MariaDB 10.0.22
OTRS 5.0.22, ITSM 5.0.22 тестовая

alexus
OTRS Гуру
Сообщения: 4654
Зарегистрирован: 20 сен 2010, 18:17
Откуда: Москва
Благодарил (а): 23 раза
Поблагодарили: 26 раз

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение alexus » 22 окт 2015, 17:05

ykolesnikov писал(а):КОД: ВЫДЕЛИТЬ ВСЕ
bin/otrs.Console.pl Admin::Package::Install
bin/otrs.Console.pl Admin::Package::RepositoryList
bin/otrs.Console.pl Admin::Package::Upgrade
С уважением,
Алексей Юсов

Prod: OTRS ITSM 5.0.14 on CentOS 7 x64 Linux with MySQL 5.7

Radiant System OTRS Intergrator RU
Radiant System OTRS Intergrator EN
Хотите внедрить OTRS? Спросите меня как!
Следите за нашими новостями на Facebook

ykolesnikov
OTRS Гуру
Сообщения: 3115
Зарегистрирован: 24 дек 2010, 09:27
Откуда: Череповец
Благодарил (а): 4 раза
Поблагодарили: 4 раза
Контактная информация:

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение ykolesnikov » 22 окт 2015, 18:30

Ну да, я писал, а если отдельный пакет, а не все? Через скрипт.
С уважением Юрий Колесников
OTRS 5.0.22, ITSM 5.0.22
OpenSuse 13.2, MariaDB 10.0.22
OTRS 5.0.22, ITSM 5.0.22 тестовая

Gleb
OTRS Новобранец
Сообщения: 4
Зарегистрирован: 23 апр 2015, 14:01

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение Gleb » 26 окт 2015, 08:48

Подскажите, а как вообще обновиться на 5.01 ? стоит appliance, там есть кнопка в интерфейсе для обновления. но она не активна, "Your system is already up to date. There are no updates available.
". но логотип то OTRS 4 Free, т.е. старая версия.

ykolesnikov
OTRS Гуру
Сообщения: 3115
Зарегистрирован: 24 дек 2010, 09:27
Откуда: Череповец
Благодарил (а): 4 раза
Поблагодарили: 4 раза
Контактная информация:

Re: Ошибка при обновлении с 4.0.13 до 5.01

Сообщение ykolesnikov » 26 окт 2015, 09:05

Коллега, что за манера вписывать вопрос не по теме в чужую тему? Создавайте свою! И в теме указывайте про Appliance, тогда, может, кто-то его и увидит. А в этой теме обсуждается другой вопрос. :roll: Кстати, Appliance больше не развивается и обновляться не будет.
С уважением Юрий Колесников
OTRS 5.0.22, ITSM 5.0.22
OpenSuse 13.2, MariaDB 10.0.22
OTRS 5.0.22, ITSM 5.0.22 тестовая

Ответить